#message-typing-notification {
  overflow: initial;
}

.typing-notification-dots > span {
  display: inline-block;
  font-size: 0.5em;
  margin-right: 0.3em;

  animation-name: typing-notification-animation;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

.typing-notification-dots > span:nth-child(2) {
  animation-delay: 0.25s;
}

.typing-notification-dots > span:nth-child(3) {
  animation-delay: 0.5s;
}

@keyframes typing-notification-animation {
  0% {
    transform: translateY(0);
  }

  25% {
    transform: translateY(-0.75em);
  }

  50% {
    transform: translateY(0);
  }
}
